#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-2msGTq9KlMrDltHEVWOPgd
key:                  lsp-1.6.0.0-2msGTq9KlMrDltHEVWOPgd
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  1eb57924e6946eab140b057d297348f6
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.0-FIbafaJj3o6EJT6ZyxZqrx:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.0-FIbafaJj3o6EJT6ZyxZqrx:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.0-FIbafaJj3o6EJT6ZyxZqrx:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-2msGTq9KlMrDltHEVWOPgd
depends:
    aeson-2.1.2.1-JfeHvfgWyvGEUkRmM0msk9
    async-2.2.5-ELClZ2Biisy1rHPWcYYXSd
    attoparsec-0.14.4-FU2s2IQbUKDB3KL4mTNthi base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.1-5tR49RAmcZN6iHycNvMuY7
    containers-0.6.5.1 data-default-0.7.1.1-5ZDwKrRtuQLAGjVA8Z3KJ8
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-Joosdm9EPsstoXhsVunPQ
    lens-5.2.3-HVLgCuprAPTGajOsZQkVu9
    lsp-types-1.6.0.0-FIbafaJj3o6EJT6ZyxZqrx mtl-2.2.2
    prettyprinter-1.7.1-EpDMPqmBYmR4MhKdVLm3Ed
    random-1.2.1.2-2yOTI1eGVjLBW6Bhz23AwM
    sorted-list-0.2.2.0-5BUOiKc8fzcHkzKXLKLb1T stm-2.5.0.2
    temporary-1.3-63x85vYk8nr8GrnTsnkdev text-1.2.5.0
    text-rope-0.2-1l7IlzUvSolLJV5cynx92t transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Hx67rce3cSdLKcnqodh5s4
    uuid-1.3.15-G9MpGzswdst6JBEsN5N3qW

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

